<div class="getcardstep">
    <h3 class="steptitle row" :class="$root.rtl ? 'rtl' : ''">
        {{$parent.steps.step1.title[$root.lang]}}
    </h3>
    <div class="row getcard-header">
        <div class="getcard-header-card">
            <div class="getcard-header-image"><img :src="`./assets/svg/${$parent.selectedCard.image}.svg`"></div>
        </div>
        <div class="getcard-header-description">
            <div class="card-type">{{$parent.selectedCard.type[$root.lang]}}</div>
            <div class="card-name">{{$parent.selectedCard.name[$root.lang]}}</div>
            <div class="card-description">{{$parent.selectedCard.description[$root.lang]}}</div>
        </div>
        <div class="getcard-header-row row">
            <div class="card-info">
                <div class="card-cost" v-html="$parent.selectedCard.pay" />
                <div class="card-text" v-html="$parent.pay[$root.lang]" />
            </div>
            <div class="card-info">
                <div class="card-cost" v-html="$parent.selectedCard.cash" />
                <div class="card-text" v-html="$parent.cash[$root.lang]" />
            </div>
            <div class="card-info">
                <div class="card-cost" v-html="$parent.selectedCard.dbocost" />
                <div class="card-text" v-html="$parent.dbocost[$root.lang]" />
            </div>
            <div class="card-info">
                <div class="card-cost" v-html="$parent.selectedCard.yearcost" />
                <div class="card-text" v-html="$parent.yearcost[$root.lang]" />
            </div>
            <div class="card-info"
                 :class="($parent.promocodeSuccess) ? 'promocode_correct' : ''"
            >
                <div class="card-cost" v-html="$parent.selectedCard.cost" />
                <div class="card-text" v-html="$parent.cost[$root.lang]" />
            </div>
        </div>
    </div>


    <div class="form">
        <div class="form-group promocode-field">
            <div class="form-title" v-html="$parent.havePromo[$root.lang]"/>
            <div class="form-comboinput" style="display: inline-flex">
                <input class="form-inputhidden" v-model="$parent.promocodeValue" :placeholder="$parent.promoCode[$root.lang]" />
                <div class="form-button button" v-on:click="checkPromocode($parent.promocodeValue)">{{$parent.apply[$root.lang]}}</div>
            </div>
            <div class="card-info card_cost_desktop" v-if="$parent.promocodeSuccess">
                <div class="card-cost" v-html="'0 €'" />
                <div class="card-text" v-html="$parent.cost[$root.lang]" />
            </div>
            <div class="card-info card_cost_mobile">
                <div class="card-cost"
                     v-html="($parent.promocodeSuccess === false) ? $parent.selectedCard.cost : '0 €'"
                ></div>
                <div class="card-text" v-html="$parent.cost[$root.lang]" />
            </div>
        </div>

        <div class="form-group">
            <div class="form-title">{{$parent.conditionals[$root.lang]}}</div>
            <label class="check-row row">
                <input class="form-checkbox" type="checkbox" v-model="service" />
                <div class="pseudo-container">
                    <div class="pseudo" :class="service ? 'checked' : ''" />
                </div>
                <a target="_blank" href="https://mbo-bank.ru/media/filer_public/36/9a/369a38c5-6e8e-4668-a36c-8fd3530d1c2a/pravila_predostavleniia_i_obsluzhivaniia_bankovskikh_kart_geobank_22072016_dlia_saita.pdf">
                    {{$parent.conditional1[$root.lang]}}
                </a>
            </label>
            <label class="check-row row">
                <input class="form-checkbox" type="checkbox" v-model="personal" />
                <div class="pseudo-container">
                    <div class="pseudo" :class="personal ? 'checked' : ''" />
                </div>
                <a target="_blank" href="https://mbo-bank.ru/soglasie-na-obrabotku-personalnyh-dannyh/">
                    {{$parent.conditional2[$root.lang]}}
                </a>
            </label>
        </div>
       
    </div>
    <div class="row buttons">
        <div class="button transparency buttons-back" v-on:click="$parent.goToPrevStep('#getcard')">{{$parent.prev[$root.lang]}}</div>

        <div v-if="disabled" class="button buttons-next disabled">{{$parent.next[$root.lang]}}</div>
        <div v-else id="next1" class="button buttons-next" v-on:click="$parent.goToNextStep('#getcard')">{{$parent.next[$root.lang]}}</div>
    </div>
</div>
</div>
